package cn.com.qmth.examcloud.config.center.test;

import java.io.IOException;
import java.util.Map;

import com.google.common.collect.Maps;

import cn.com.qmth.examcloud.commons.util.ByteUtil;
import cn.com.qmth.examcloud.commons.util.HttpMethod;
import cn.com.qmth.examcloud.commons.util.OKHttpUtil;
import cn.com.qmth.examcloud.commons.util.SHA256;
import cn.com.qmth.examcloud.commons.util.StringUtil;
import cn.com.qmth.examcloud.commons.util.ThreadLocalUtil;
import okhttp3.Response;

/**
 * RPC
 *
 * @author WANGWEI
 * @date 2019年6月13日
 * @Copyright (c) 2018-? http://qmth.com.cn All Rights Reserved.
 */
public class Rpc {

	public static void main(String[] args) throws IOException {

		Map<String, String> headers = Maps.newHashMap();
		long startTime = System.currentTimeMillis();
		String appId = "1";
		String appCode = "B";
		String secretKey = "123456";

		headers.put("Trace-Id", ThreadLocalUtil.getTraceId());
		headers.put("timestamp", String.valueOf(startTime));
		headers.put("App-Id", appId);
		headers.put("App-Code", appCode);

		String joinStr = StringUtil.join(appId, appCode, startTime, secretKey);
		byte[] bytes = SHA256.encode(joinStr);
		String accessToken = ByteUtil.toHexAscii(bytes);
		headers.put("Access-Token", accessToken);

		String url = "http://192.168.10.39:8001/cache/refresh";
		String reqBody = "{\"className\":\"cn.com.qmth.examcloud.core.examwork.service.cache.ExamOrgPropertyCache\",\"keys\":[\"a\",\"3\",\"WARN_THRESHOLD\"],\"typeArray\":[\"LONG\",\"LONG\",\"STRING\"]}";
		Response response = OKHttpUtil.call(HttpMethod.POST, url, headers, reqBody);

		System.out.println(response.body().string());
	}
}
